> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-client-integration-guide/v20/ras-web-client-api/direct-app-access.md).

# Direct App access

Starting with Parallels RAS 18, specific published resources may be directly accessed through RAS Web Client. This can be achieved with the introduction of a new parameter, *appid*, which allows administrator to use links to access the published resource directly. This allows a more flexible and easier way for users to access Parallels RAS published resources such as using browser shortcuts or bookmarks or third-party portals such as Azure My Apps Portal to access independent SAAS applications and Parallels RAS virtual apps and desktops.

To launch a published resource directly, you need to specify a URL using one of the following formats:

| URL format                                       | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| ------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| https\://`<server>`?appid=                       | <p>This format omits the Theme name and uses the default</p><p>Web Client Theme.</p><p>The "appid" parameter specifies the published resource ID as seen in the Publishing category in the RAS Console. The ID is automatically generated when a resource is published. To see it, select a published resource and examine the <strong>Application</strong> field on the <strong>Information</strong> tab. For example, #5: Microsoft Office Word — the application ID of the Microsoft World here is 5.</p> |
| https\://\<server>/\<theme-name>?appid=\<app-ID> | This format is similar to the one above, but specifies a Theme name.                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| https\://\<server>/userportal?theme=\&appid=     | This format is the same as the one above, but uses the full URL specification. It is listed here just for reference.                                                                                                                                                                                                                                                                                                                                                                                         |

Supported parameters:

| Parameter      | Description                                                                                                       |
| -------------- | ----------------------------------------------------------------------------------------------------------------- |
| appid          | The published item (application or desktop) to be launched. Note: the format is just a number without # in front. |
| overrideparams | \[Optional]. URL Encoded Override arguments that needs to be passed to the published application.                 |

Example:

https\://\<server>?appid=14\&overrideparams=C%3A%2Ftest.txt

When opening a published resource using a direct link, the **Auto login** option is also used depending on the settings.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-client-integration-guide/v20/ras-web-client-api/direct-app-access.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
